<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [ExecutionContext](./puppeteer.executioncontext.md)

## ExecutionContext class

<b>Signature:</b>

```typescript
export declare class ExecutionContext 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(client, contextPayload, world)](./puppeteer.executioncontext._constructor_.md) |  | Constructs a new instance of the <code>ExecutionContext</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\_client](./puppeteer.executioncontext._client.md) |  | [CDPSession](./puppeteer.cdpsession.md) |  |
|  [\_contextId](./puppeteer.executioncontext._contextid.md) |  | number |  |
|  [\_world](./puppeteer.executioncontext._world.md) |  | DOMWorld |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [\_adoptBackendNodeId(backendNodeId)](./puppeteer.executioncontext._adoptbackendnodeid.md) |  |  |
|  [\_adoptElementHandle(elementHandle)](./puppeteer.executioncontext._adoptelementhandle.md) |  |  |
|  [evaluate(pageFunction, args)](./puppeteer.executioncontext.evaluate.md) |  |  |
|  [evaluateHandle(pageFunction, args)](./puppeteer.executioncontext.evaluatehandle.md) |  |  |
|  [frame()](./puppeteer.executioncontext.frame.md) |  |  |
|  [queryObjects(prototypeHandle)](./puppeteer.executioncontext.queryobjects.md) |  |  |

